package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.PreviewPaper;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Dto(entity = PreviewPaper.class)
public class PreviewDto {

    private Integer id;

    @NotEmpty(message = "标题不能为空！")
    private String title;

    @NotEmpty(message = "开始时间不能为空！")
    private Date startTime;

    @NotEmpty(message = "结束时间不能为空！")
    private Date endTime;

    @NotEmpty(message = "题目不能为空！")
    private Integer[] questionNoIds;

    private Integer[] userIds;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Integer[] userIds) {
        this.userIds = userIds;
    }

    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }
}
